function [VarName1] = nosa_read(filename)

structure = importdata(filename,',',39);


structure2.WavelengthOut = structure.data(:,1); 
structure2.LevelOut = structure.data(:,2); 
structure2.WavelengthOut(structure2.LevelOut==-210) = [];
structure2.LevelOut(structure2.LevelOut==-210) = [];

VarName1 = structure2;

